/*
 * API documentation
 * No description provided (generated by Swagger Codegen https://github.com/swagger-api/swagger-codegen)
 *
 * OpenAPI spec version: 1.0.0-20181108155220-20181108155343
 * Contact: api.move@axa-assistance.com
 *
 * NOTE: This class is auto generated by the swagger code generator program.
 * https://github.com/swagger-api/swagger-codegen.git
 * Do not edit the class manually.
 */


package io.insurance.bn.starter.model;

import com.google.gson.annotations.SerializedName;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;

import java.util.Objects;

/**
 * General information of a claim
 */
@ApiModel(description = "General information of a claim")
@javax.annotation.Generated(value = "io.swagger.codegen.languages.JavaClientCodegen", date = "2018-12-19T23:23:06.995+01:00")
public class Model85 {
  @SerializedName("contract_holder")
  private Model50 contractHolder = null;

  @SerializedName("certificate_id")
  private String certificateId = null;

  @SerializedName("claim_phones")
  private ClaimPhones claimPhones = null;

  @SerializedName("consents")
  private Consents consents = null;

  @SerializedName("to_be_reviewed_information")
  private ToBeReviewedInformation toBeReviewedInformation = null;

  @SerializedName("reimbursement_information")
  private ReimbursementInformation reimbursementInformation = null;

  public Model85 contractHolder(Model50 contractHolder) {
    this.contractHolder = contractHolder;
    return this;
  }

   /**
   * Get contractHolder
   * @return contractHolder
  **/
  @ApiModelProperty(required = true, value = "")
  public Model50 getContractHolder() {
    return contractHolder;
  }

  public void setContractHolder(Model50 contractHolder) {
    this.contractHolder = contractHolder;
  }

  public Model85 certificateId(String certificateId) {
    this.certificateId = certificateId;
    return this;
  }

   /**
   * Identifier of the certificate related to the claim
   * @return certificateId
  **/
  @ApiModelProperty(example = "a0Y4E000000vDMb", value = "Identifier of the certificate related to the claim")
  public String getCertificateId() {
    return certificateId;
  }

  public void setCertificateId(String certificateId) {
    this.certificateId = certificateId;
  }

  public Model85 claimPhones(ClaimPhones claimPhones) {
    this.claimPhones = claimPhones;
    return this;
  }

   /**
   * Get claimPhones
   * @return claimPhones
  **/
  @ApiModelProperty(value = "")
  public ClaimPhones getClaimPhones() {
    return claimPhones;
  }

  public void setClaimPhones(ClaimPhones claimPhones) {
    this.claimPhones = claimPhones;
  }

  public Model85 consents(Consents consents) {
    this.consents = consents;
    return this;
  }

   /**
   * Get consents
   * @return consents
  **/
  @ApiModelProperty(value = "")
  public Consents getConsents() {
    return consents;
  }

  public void setConsents(Consents consents) {
    this.consents = consents;
  }

  public Model85 toBeReviewedInformation(ToBeReviewedInformation toBeReviewedInformation) {
    this.toBeReviewedInformation = toBeReviewedInformation;
    return this;
  }

   /**
   * Get toBeReviewedInformation
   * @return toBeReviewedInformation
  **/
  @ApiModelProperty(value = "")
  public ToBeReviewedInformation getToBeReviewedInformation() {
    return toBeReviewedInformation;
  }

  public void setToBeReviewedInformation(ToBeReviewedInformation toBeReviewedInformation) {
    this.toBeReviewedInformation = toBeReviewedInformation;
  }

  public Model85 reimbursementInformation(ReimbursementInformation reimbursementInformation) {
    this.reimbursementInformation = reimbursementInformation;
    return this;
  }

   /**
   * Get reimbursementInformation
   * @return reimbursementInformation
  **/
  @ApiModelProperty(value = "")
  public ReimbursementInformation getReimbursementInformation() {
    return reimbursementInformation;
  }

  public void setReimbursementInformation(ReimbursementInformation reimbursementInformation) {
    this.reimbursementInformation = reimbursementInformation;
  }


  @Override
  public boolean equals(java.lang.Object o) {
    if (this == o) {
      return true;
    }
    if (o == null || getClass() != o.getClass()) {
      return false;
    }
    Model85 model85 = (Model85) o;
    return Objects.equals(this.contractHolder, model85.contractHolder) &&
        Objects.equals(this.certificateId, model85.certificateId) &&
        Objects.equals(this.claimPhones, model85.claimPhones) &&
        Objects.equals(this.consents, model85.consents) &&
        Objects.equals(this.toBeReviewedInformation, model85.toBeReviewedInformation) &&
        Objects.equals(this.reimbursementInformation, model85.reimbursementInformation);
  }

  @Override
  public int hashCode() {
    return Objects.hash(contractHolder, certificateId, claimPhones, consents, toBeReviewedInformation, reimbursementInformation);
  }


  @Override
  public String toString() {
    StringBuilder sb = new StringBuilder();
    sb.append("class Model85 {\n");
    
    sb.append("    contractHolder: ").append(toIndentedString(contractHolder)).append("\n");
    sb.append("    certificateId: ").append(toIndentedString(certificateId)).append("\n");
    sb.append("    claimPhones: ").append(toIndentedString(claimPhones)).append("\n");
    sb.append("    consents: ").append(toIndentedString(consents)).append("\n");
    sb.append("    toBeReviewedInformation: ").append(toIndentedString(toBeReviewedInformation)).append("\n");
    sb.append("    reimbursementInformation: ").append(toIndentedString(reimbursementInformation)).append("\n");
    sb.append("}");
    return sb.toString();
  }

  /**
   * Convert the given object to string with each line indented by 4 spaces
   * (except the first line).
   */
  private String toIndentedString(java.lang.Object o) {
    if (o == null) {
      return "null";
    }
    return o.toString().replace("\n", "\n    ");
  }

}

